	<div class="blockform">
		<h2><span>Add forum</span></h2>
		<div class="box">
			<form method="post" action="<%= url_for :action => 'update_index' %>">
				<div class="inform">
<% if @categories.length == 0 -%>
					You have to create at least one category to be able to add forums.
<% else -%>
					<fieldset>
						<legend>Create a new forum</legend>
						<div class="infldset">
							<table class="aligntop" cellspacing="0">
								<tr>
									<th scope="row">Forum name</th>
									<td>
										<input type="text" name="forum[forum_name]"/>
									</td>
								</tr>
								<tr>
									<th scope="row">Category<div></div></th>
									<td>
										<select name="forum[cat_id]" tabindex="1">
<% for cat in @categories -%>  
									<option value="<%= cat.id %>"><%=h cat.cat_name %></option>
<% end -%>
										</select>
									</td>
								</tr>
								<tr><th scope="row" colspan="2"><input type="submit" name="add_forum" value=" Add " tabindex="2" /></th></tr>
							</table>
						</div>
					</fieldset>
<% end -%>
				</div>
			</form>
		</div>

<% if @forums.length > 0 -%>
		<h2 class="block2"><span>Edit forums</span></h2>
		<div class="box">
			<form id="edforum" method="post" action="<%= url_for :action => :forums %>">
				<p class="submittop"><input type="submit" name="update_positions" value="Update positions" tabindex="3" /></p>
<%
tabindex_count = 4
cur_category = 0
for forum in @forums
	if forum.category.id != cur_category
		if cur_category != 0
-%>
							</table>
						</div>
				</fieldset>
				</div>
<%
    end
-%>
				<div class="inform">
					<fieldset>
						<legend>Category: <%=h forum.category.cat_name %></legend>
						<div class="infldset">
							<table cellspacing="0">
<%
		cur_category = forum.category.id
	end
-%>
								<tr>
									<th><a href="<%= url_for :action => 'edit', :id => forum.id %>">Edit</a> - <a href="<%= url_for :action => 'delete', :id => forum.id %>">Delete</a></th>
									<td>Position&nbsp;&nbsp;<input type="text" name="position[<%= forum.id %>]" size="3" maxlength="3" value="<%= forum.disp_position %>" tabindex="<%= tabindex_count %>" />
									&nbsp;&nbsp;<strong><%=h forum.forum_name %></strong></td>
								</tr>
<%
	tabindex_count = tabindex_count + 2
end
-%>
							</table>
						</div>
					</fieldset>
				</div>
				<p class="submitend"><input type="submit" name="update_positions" value="Update positions" tabindex="<%= tabindex_count %>" /></p>
			</form>
		</div>
<% end -%>
	</div>
	<div class="clearer"></div>
</div>
